﻿Type=Activity
Version=1.90
FullScreen=False
IncludeTitle=True
@EndOfDesignText@
'Activity module
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	
	
	Dim HousesListed As Boolean
	Dim RoomsListed As Boolean
	Dim RoomsDetailsListed As Boolean

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	Dim LineList As ListView
	Dim SQL1 As SQL

End Sub
Sub CopyDBFromAssets (FileName As String) As String
	Dim TargetDir As String
	If File.ExternalWritable Then TargetDir = File.DirDefaultExternal Else TargetDir = File.DirInternal
	If File.Exists(TargetDir, FileName) = False Then
			File.Copy(File.DirAssets, FileName, TargetDir, FileName)
	End If
	Return TargetDir
End Sub

Sub Activity_Create(FirstTime As Boolean)
	Dim Logo_CentralLine As Bitmap
	Dim Logo_PiccadillyLine As Bitmap
	
	Activity.Color = Colors.White
	
	' listing the flags here
	HousesListed = False
	RoomsListed = False
	RoomsDetailsListed = False
	
	If SQL1.IsInitialized = False Then 
		CopyDBFromAssets("roomlist.db")
		SQL1.Initialize(File.DirInternal,"roomlist.db",True)
	End If	
	
   
	LineList.Initialize("LineList")
		
	Dim LC As Int
	LC = SQL1.ExecQuerySingleResult("SELECT count(DISTINCT HouseName) FROM Houselist")
	For a = 1 To LC
		LineList.AddTwoLines(SQL1.ExecQuerySingleResult("SELECT DISTINCT HouseName FROM Houselist WHERE HouseID = " & a),"Rooms Count: "& SQL1.ExecQuerySingleResult("SELECT COUNT(DISTINCT RoomName) FROM Houselist WHERE HouseID = " & a))
		LineList.TwoLinesLayout.Label.TextColor = Colors.Black
		LineList.TwoLinesLayout.SecondLabel.TextColor = Colors.Black
		
	Next 

	LineList.FastScrollEnabled = True
	
	HousesListed = True
    
    Activity.AddView(LineList, 0, 0, 100%x, 100%y)

End Sub
Sub LineList_ItemClick (Position As Int, Value As Object)
	If RoomsListed = False AND RoomsDetailsListed = False Then ListRooms(Position, Value)
	If RoomsListed = True AND RoomsDetailsListed = False Then StartActivity(RoomsDetail)
End Sub

Sub ListRooms(Position As Int, Value As Object)
Activity.Title = Value &" Line"
	Dim StnCount As Int
	
	RoomsListed = False
	StnCount = SQL1.ExecQuerySingleResult("SELECT COUNT(DISTINCT RoomName) FROM Houselist WHERE HouseID = " & (Position +1))
	LineList.Clear
	LineList.Initialize("LineList")
	Activity.Color = Colors.white
	For i = 1 To StnCount
		LineList.AddSingleLine(SQL1.ExecQuerySingleResult("SELECT DISTINCT RoomName FROM Houselist WHERE HouseID = " & (Position+1) & " and RoomID = '" & i &"'"))
		LineList.SingleLineLayout.Label.TextColor = Colors.Black
	Next
	Activity.AddView(LineList, 0, 0, 100%x, 100%y)
	RoomsListed = True
End Sub


Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub
